#ifndef COMPLEXITY_EA_H_INCLUDED
#define COMPLEXITY_EA_H_INCLUDED

#include <string>
#include <fstream>
#include <sstream>
#include <iostream>

#include "problems/MasterMind.h"
#include "heuristics/EA.h"
#include "analysis/analysis.h"

void study_complexity_of_ea(std::default_random_engine& randomizer, int option, int argc, char** argv);
void study_complexity_of_ea_sample(std::default_random_engine& randomizer, std::string filename, int n_initial, int n_final, int n_step, bool displaying=true);
void study_complexity_of_ea_filter(std::string input, std::string output, int filtered_n, int filtered_mu, int filtered_lda);
void study_complexity_of_ea_treat(std::default_random_engine& randomizer, std::string filename, int n_initial, int n_final);

#endif // COMPLEXITY_EA_H_INCLUDED

